2025-11-06 14.00 UTC - There are currently no active events. All systems operational.

Create new Cable Appendix

Prev Next
Post
/cable-appendixes/

Operation is used to create a new Cable Appendix. A Cable Appendix connects a Cable to a loop. When a Cable Appendix is created, the loop's length is automatically added to the Cable's extra_length field. Available from product version 2026.1.0.

Security
API Key: Token
Header parameter nameAuthorization

Token issued for API consumer.

Body parameters

Cable Appendix to be created

object

Cable Appendix representation using ids instead of embedded objects or links. Used for creating and updating Cable Appendix records.

A Cable Appendix represents an association between a Cable and a loop. When a CableAppendix is created or updated, the associated loop’s length is automatically added to the Cable’s extra_length. When the association is removed or changed, the corresponding length is removed from the Cable’s extra_length.

cable
integer Required

The id of the Cable associated with this appendix

point
integer Required

The id of the loop associated with this appendix

Responses
201

A created Cable Appendix

{
  "cable": 5750790,
  "id": 1001,
  "point": 8801
}
object

Cable Appendix representation using ids instead of embedded objects or links. Used for creating and updating Cable Appendix records.

A Cable Appendix represents an association between a Cable and a loop. When a CableAppendix is created or updated, the associated loop’s length is automatically added to the Cable’s extra_length. When the association is removed or changed, the corresponding length is removed from the Cable’s extra_length.

cable
integer

The id of the Cable associated with this appendix

id
integer

Primary key

point
integer

The id of the loop associated with this appendix

400

There was an error in request. Usually field validation failed.

object

Fields which failed validation

property*
Array of string additionalProperties

List of validation errors for this fieldname

string

Validation error

401

Authentication credentials are missing or invalid

{
  "details": "Authentication credentials were not provided"
}
object
details
string

Detailed description of error